Package junit.swingui

# Interface TestRunContext

All Known Implementing Classes:
  `TestRunner`

public interface TestRunContext
The interface for accessing the Test run context. Test run views should use this interface rather than accessing the TestRunner directly.

## Method Summary

Modifier and Type
Method
Description
`ListModel`
`getFailures()`
Returns the failure model
`void`
`handleTestSelected(Test test)`
Handles the selection of a Test.

## Method Details

### handleTestSelected

void handleTestSelected(Test test)
Handles the selection of a Test.

### getFailures

ListModel getFailures()
Returns the failure model